html {
    scroll-behavior: smooth;
}

main {
    padding: 2em;
    display: flex;
    flex-direction: column;
}

/* Hero */
.hero {
    position: relative;
}

.hero img {
    width: 100%;
    height: calc(100vh - 79px) ;
    object-fit: cover;
    position: relative;
    display: inline-block;
}

.hero .hero-content {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    box-sizing: border-box;
    padding: 2em;
}

.hero p {
    color: gainsboro;
    text-align: center;   
    text-shadow: 1px 1px 3px black;
}

.hero h1 {
    text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.408);
}

.hero .subtitle {
    font-weight: bold;
    letter-spacing: 5px;
}

/* Services List */
.services-container {
    display: flex;
    flex-wrap: wrap;
    gap: 1em;

    /* padding: 2em; */
}

.service {
    border: 1px solid gainsboro;
    border-radius: 1em;
    padding: 1em;

    width: 300px;
    /* height: 100%; */

    display: flex;
    flex-direction: column;
}

.service .name {
    font-family: var(--font-heading);
    font-weight: bold;
    font-size: 2em;

    color: var(--secondary);
    margin-bottom: 0;
}

.service .description {
    margin: 1em 0;
}

.service .rate {
    margin: 0;
} 

.service .actions {
    margin-top: 2em;

    display: flex;
    gap: 1em;
    align-items: center;
    flex-wrap: wrap;
}

.service .button-large {
    box-sizing: border-box;
}

@media screen and (max-width: 800px) {
    .service {
        width: 100%;
    }
}